varying vec3 ViewPos;

uniform sampler2D Color0;
//uniform sampler2D Distance;

void main()
{
  // color is offset
  vec4 color  = texture2D( Color0, gl_TexCoord[0].st );
  // distance func for alpha test
  //color.a = texture2D( Distance, gl_TexCoord[0].st ).g;// whee hooo
  // scale by distance
  //color.a *= ( 1000.0 + ViewPos.z ) / 1000.0;
 
  gl_FragColor = color;
}
